import { ISettings } from '../types';
export interface Colours {
    green: string;
    darkBlue: string;
    darkBlue50: string;
    darkBlue60: string;
    darkBlue80: string;
    darkBlue30: string;
    darkBlue20: string;
    darkBlue10: string;
    darkerBlue: string;
    darkestBlue: string;
    white80: string;
    white70: string;
    white60: string;
    white30: string;
    white20: string;
    white10: string;
    white: string;
    black40: string;
    paleText: string;
    paleGrey: string;
    red: string;
    purple: string;
    lightGrey: string;
    lighterGrey: string;
    text: string;
    textInactive: string;
}
export interface EditorColours {
    property: string;
    comment: string;
    punctuation: string;
    keyword: string;
    def: string;
    qualifier: string;
    attribute: string;
    number: string;
    string: string;
    builtin: string;
    string2: string;
    variable: string;
    meta: string;
    atom: string;
    ws: string;
    selection: string;
    cursorColor: string;
    editorBackground: string;
    resultBackground: string;
    leftDrawerBackground: string;
    rightDrawerBackground: string;
}
export declare const darkColours: Colours;
export declare const lightColours: Colours;
export declare const darkEditorColours: EditorColours;
export declare const lightEditorColours: EditorColours;
export interface Sizes {
    small6: string;
    small10: string;
    small12: string;
    small16: string;
    medium25: string;
    smallRadius: string;
    fontLight: string;
    fontSemiBold: string;
    fontTiny: string;
    fontSmall: string;
    fontMedium: string;
}
export declare const sizes: Sizes;
export interface Shorthands {
    [x: string]: any;
}
export declare const shorthands: Shorthands;
export interface ThemeInterface {
    mode: 'light' | 'dark';
    colours: Colours;
    sizes: Sizes;
    shorthands: Shorthands;
    editorColours: EditorColours;
    settings: ISettings;
}
export declare const theme: any;
